:root {
    --background-color: rgb(255, 255, 255);
    --background-color2: #edffe7;
    --background-color3: rgb(28, 207, 111);
    --title-color: rgb(255, 255, 255);
    --text-color: rgb(0, 0, 0);
    --accent-color: #06a556;
    --accent-color-translucent: #20b92040;
    --glow-color: #20e086c7;
    --highlight-color: #cfe4da;
    --frosted-glass-color: rgba(255, 255, 255, 1);
    --background: linear-gradient(45deg, var(--background-color), white);
    --title-font: "Space Grotesk", sans-serif;
    --text-font: "Varela Round", sans-serif;
}

html, body{
    margin: 0;
    padding: 0;
}

h1, h2, h3{
    font-family: var(--title-font);
}

h4, h5, h6, p, label, a{
    font-family: var(--text-font);
}

#home-div{
    text-align: center;
    height: 100vh;
}


#home-div::before{
    content: "";
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-image: url(./assets/photos/science-academy.webp);
    background-size: cover;
    filter: brightness(28%);
    z-index: -1;
}

#title-div{
    text-align: center;
    display: grid;
    align-items: center;
    padding-top: 15vh;
}

.title{
    font-size: 5em;
    line-height: 100px;
    font-family: "Space Grotesk", sans-serif;
    margin-bottom: 0;
    color: var(--title-color);
}

@media screen and (max-width: 700px){
    .title{
        font-size: 4em;
        line-height: 75px;
    }
}

@media screen and (max-width: 450px){
    .title{
        font-size: 3em;
        line-height: 50px;
    }
}

.accent{
    color: var(--accent-color);
}

#subtitle{
    font-size: 1.2em;
    font-family: "Roboto", sans-serif;
    margin: 30px auto 40px;
    max-width: 75%;
    color: var(--title-color);
}

button{
    width: 175px;
    height: 50px;
    border-radius: 25px;
    display: inline-block;
    font-size: 1em;
    font-family: "Varela Round", sans-serif;
    cursor: pointer;
}

.button-small{
    background-color: var(--frosted-glass-color);
    backdrop-filter: blur(10px);
    -webkit-backdrop-filter: blur(10px);
    border: 1px solid black;
    color: black;
    box-shadow: 0 0 20px rgba(102, 102, 102, 0.7);
    display: flex;
    align-items: center; 
    justify-content: center;
    margin: 0 auto;
}

.button-small-icon{
    height: 25px;
    /* filter: invert(48%) sepia(100%) saturate(5207%) hue-rotate(130deg) brightness(155%) contrast(80%); */
} 

.button-main1{
    background-color: var(--accent-color);
    border: none;
    color: var(--title-color);
    
    box-shadow: 0 0 10px color-mix(in srgb, var(--glow-color) 70%, transparent), 0 0 20px color-mix(in srgb, var(--glow-color) 50%, transparent), 0 0 40px color-mix(in srgb, var(--glow-color) 20%, transparent);
    
    animation: glow 1.5s infinite alternate;
}

@keyframes glow {
  from {
    box-shadow: 0 0 10px color-mix(in srgb, var(--glow-color) 70%, transparent), 0 0 20px color-mix(in srgb, var(--glow-color) 50%, transparent), 0 0 40px color-mix(in srgb, var(--glow-color) 20%, transparent);
  }
  to {
    box-shadow: 0 0 20px color-mix(in srgb, var(--glow-color) 70%, transparent), 0 0 40px color-mix(in srgb, var(--glow-color) 50%, transparent), 0 0 60px color-mix(in srgb, var(--glow-color) 20%, transparent);
  }
}

.button-main1:hover, .button-main2:hover{
    background-color: var(--highlight-color);
    color: var(--accent-color);
    box-shadow: 0 0 20px color-mix(in srgb, var(--glow-color) 100%, transparent), 0 0 40px color-mix(in srgb, var(--glow-color) 80%, transparent), 0 0 60px color-mix(in srgb, var(--glow-color) 40%, transparent);
}

.button-main2{
    background-color: var(--frosted-glass-color);
    backdrop-filter: blur(10px);
    -webkit-backdrop-filter: blur(10px);
    border: 2px solid var(--accent-color);
    color: var(--accent-color);
    box-shadow: 0 0 20px rgba(102, 102, 102, 0.7);
}

#featured{
    text-align: center;
    padding: 50px 0;
    background-color: #e0f7ec;
}

#resource-list-container{
    margin-left: auto;
    width: 85%;
    margin-top: 8px;
}

#resource-list{
    display: grid;
    grid-template-columns: repeat(auto-fit, 282px);
    gap: 32px;
    justify-content: center;
    margin: 0;
    padding: 0;
    list-style: none;
}

@media screen and (max-width: 1250px){
    #resource-list{
        grid-template-columns: repeat(2, 282px);
    }
}

@media screen and (max-width: 650px){
    #resource-list{
        grid-template-columns: repeat(1, 282px);
    }
}

#resource-list li{
    border: 1px solid #ccc;
    padding: 15px;
    width: 282px;
    height: 390px;
    border-radius: 20px;
    box-sizing: border-box;
    cursor: pointer;
    background-color: var(--background-color);
    transition: transform 0.3s ease-out;
}

#resource-list li:hover{
    transform: translateY(-10px);
}

#resource-list li img{
    width: 100%;
    height: 125px;
    object-fit: cover;
    padding-bottom: 25px;
    border-radius: 20px;
}

#resource-list li a{
    text-decoration: none;
    color: #007BFF;
    font-weight: bold;
    font-size: 1.75em;
    display: -webkit-box;
    -webkit-line-clamp: 2;
    line-clamp: 2;
    -webkit-box-orient: vertical;
    font-family: var(--title-font);
    line-height: 1.1em;
    overflow: hidden;
}

#resource-list li p{
    display: -webkit-box;
    -webkit-line-clamp: 3;
    line-clamp: 3;
    -webkit-box-orient: vertical;
    overflow: hidden;
    font-size: 1em;
}

#resource-list li .tag{
    display: inline-block;
    padding: 5px;
    margin: 3px;
    border-radius: 10px;
    font-size: 0.75em;
}

#explore-div{
    background-color: var(--background-color);
    text-align: center;
    padding: auto 0;
    padding: 50px 5% 100px;
    width: 90%;
}

#explore-div h1{
    margin-bottom: 0;
}

#explore-div p{
    margin-bottom: 30px;
}

#explore-category-div{
    display: grid;
    place-items: center;
    grid-template-columns: repeat(4, 250px);
    justify-content: center;
    align-items: center;
}

@media screen and (max-width: 975px){
    #explore-category-div{
        grid-template-columns: repeat(2, 250px);
        gap: 25px;
        column-gap: 0px;
    }
}


@media screen and (max-width: 475px){
    #explore-category-div{
        grid-template-columns: repeat(1, 250px);
        gap: 25px;
        column-gap: 0px;
    }
}


.explore-category{
    width: 200px;
    height: 200px;
    border-radius: 20px;
    border: 1px solid #ccc;
    background-color: #fefffe;
    padding: 25px 0 0;
    cursor: pointer;
    transition: transform 0.3s ease-out;
}

.explore-category:hover{
    color: var(--accent-color);
    transform: translateY(-10px);
}

.explore-category img{
    width: 100px;
}

#submit-div{
    width: 98%;
    margin: 0 1%;
    text-align: center;
    padding: 75px 0;
    background-color: var(--background-color3);
    border-radius: 50px;
}

#submit-div h1{
    color: var(--title-color);
    max-width: 75%;
    margin-left: auto;
    margin-right: auto;
}

#submit-div p{
    color: var(--title-color);
    max-width: 85%;
    margin: 0 auto 30px;
}

footer{
    background-color: #f7f7f7;
}

.footer-container{
    max-width: 1200px;
    margin: 30px auto 0;
    padding: 10px 5% 30px;
}

.footer-content{
    display: flex;
    justify-content: space-between;
    gap: 60px;
    align-items: flex-start;
}

.footer-logo{
    flex: 1;
    min-width: 220px;
}

.footer-logo img{
    width: 100px;
}

.footer-links{
    flex: 1;
    min-width: 150px;
}

.footer-disclaimer{
    flex: 2;
    min-width: 80px;
}

.footer-links-list{
    list-style: none;
    padding: 0;
    margin: 10px 0 0;
    gap: 10px;
    display: flex;
    flex-direction: column;
}

.footer-links-list a {
    text-decoration: none;
    color: var(--text-color);
}

.footer-links-list a:hover {
    color: var(--accent-color);
}

.footer-bottom {
    margin-top: 40px;
    padding-top: 20px;
    border-top: 1px solid #ddd;
    text-align: center;
    font-size: 0.9em;
    color: #555;
}

@media screen and (max-width: 750px) {
    .footer-content {
        flex-direction: column;
        gap: 40px;
    }
}